Skip to main content
GET
/
orgs
/
{org_id}
/
agents
List agents in organization
curl --request GET \
  --url https://api.mnemom.ai/v1/orgs/{org_id}/agents \
  --header 'Authorization: Bearer <token>'
{
  "agents": [
    {
      "id": "<string>",
      "agent_hash": "a1b2c3d4e5f6a7b8",
      "user_id": "<string>",
      "email": "<string>",
      "claimed_at": "2023-11-07T05:31:56Z",
      "last_seen": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "key_prefix": "<string>",
      "public": true,
      "billing_account_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

org_id
string
required

Organization identifier (e.g. org-abc12345)

Query Parameters

mine
boolean
default:false

Filter to only current user's agents

limit
integer
default:50

Opt-in pagination: max agents to return. Omit limit AND offset for the full (unpaginated) listing. When supplied, the response adds total/limit/offset.

Required range: 1 <= x <= 500
offset
integer
default:0

Opt-in pagination: number of agents to skip.

Required range: x >= 0

Response

Organization agents. Includes total/limit/offset only when limit or offset was supplied.

agents
object[]
required
total
integer

Total agents before pagination (present only when paginating).

limit
integer

Echoed page size (paginated only).

offset
integer

Echoed offset (paginated only).